#pragma once

class FrameBuffer;

class Kernel {
public:
  Kernel() : krn(0), n(0) {};
  float Sum();
  void Normalize();
  float *krn;
  int n;
  void SetAverage(int _n);
  void SetEdgeDetection();
  void Convolve(FrameBuffer *infb, FrameBuffer *outfb);

};